Subject: bug#31216: commit 217b8c2e0 produces 'Can't locate Date/Parse.pm in @INC Error' perl error

From: Leo Famulari <[email-masked]>
Date: Fri, 20 Apr 2018 19:46:45 -0400

On Fri, Apr 20, 2018 at 02:41:52PM +0200, Julien Lepiller wrote:
> Hi, I don't think this is fully fixed. On current master, trying to run
> po4a (a perl application that guix now depends on to generate the
> translation of the manual), I get the following:
> 
> [env]$ po4a-updatepo
> Can't locate Locale/Po4a/Po.pm in @INC (you may need to install the
> Locale::Po4a::Po module) (@INC
> contains: /gnu/store/b10z3mm4nyvzwq6b7537nhckmilbv7bm-po4a-0.47/lib/perl5/site_perl /home/tyreunom/.guix-profile/lib/perl5/site_perl /home/tyreunom/.guix-profile/lib/perl5/site_perl /home/tyreunom/.guix-profile/lib/perl5/site_perl /gnu/store/43vb2vnv7alwi40ms5qsb9i84rs0xb6s-perl-5.26.2/lib/perl5/site_perl/5.26.2/x86_64-linux-thread-multi /gnu/store/43vb2vnv7alwi40ms5qsb9i84rs0xb6s-perl-5.26.2/lib/perl5/site_perl/5.26.2 /gnu/store/43vb2vnv7alwi40ms5qsb9i84rs0xb6s-perl-5.26.2/lib/perl5/5.26.2/x86_64-linux-thread-multi /gnu/store/43vb2vnv7alwi40ms5qsb9i84rs0xb6s-perl-5.26.2/lib/perl5/5.26.2)
> at /gnu/store/b10z3mm4nyvzwq6b7537nhckmilbv7bm-po4a-0.47/bin/.po4a-updatepo-real
> line 168.
> 
> What fixed the issue was adding
> $GUIX_ENVIRONMENT/lib/perl5/site_perl/5.26.1 to the PERL5LIB variable.
> 
> It used to work until very recently, but I wonder why the version number
> is 5.26.1 if perl is 5.26.2?

Okay, something still needs fixing but I'm not sure what. I won't be
able to take a closer look until Monday. Anyone else is free to try :)